This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 844817

Summary: Review Request: rubygem-openshift-origin-dns-bind - OpenShift plugin for BIND service
Product: [Fedora] Fedora Reporter: Troy Dawson <tdawson>
Component: Package ReviewAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: admiller, maxamillion, misc, notting, package-review, tcallawa
Target Milestone: ---Flags: tcallawa: fedora‑review+
tibbs: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-17 18:17:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 839064    
Bug Blocks:    

Description Troy Dawson 2012-07-31 18:55:20 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/rubygem-openshift-origin-dns-bind.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/rubygem-openshift-origin-dns-bind-0.8.5-4.fc18.src.rpm
Description: 
Provides a Bind DNS service based plugin

Fedora Account System Username: tdawson

Notes:
This package was originally rubygem-uplift-bind-plugin
https://bugzilla.redhat.com/show_bug.cgi?id=842459
The package has been renamed to rubygem-openshift-origin-dns-bind
Since the last comments in that review I have done the following

- Changed the package and gem names.
- Removed rubygem(json), ruby and ruby-devel from BuildRequires
- Removed selinux-policy-targeted and policycoreutils-python from Requires
- Added rubygem(dnsruby) to Requires

Note: Because only the package and gemname have been changed, there are some libraries and paths that still have the uplift name.  This is known and shouldn't affect functionality.
Comment 1 Troy Dawson 2012-07-31 18:56:35 EDT
*** Bug 842459 has been marked as a duplicate of this bug. ***
Comment 2 Troy Dawson 2012-08-02 18:48:45 EDT
I would like to add FAS account name maxamillion to this review as I'll be out of town for the next week and don't want to be a blocker.

Fedora Account System Username: maxamillion tdawson
Comment 3 Tom "spot" Callaway 2012-08-07 11:25:16 EDT
Does this need the non rubygem subpackage? The guidelines state that this is no longer needed:

https://fedoraproject.org/wiki/Packaging/Ruby#Packaging_for_Gem_and_non-Gem_use

There is also this from rpmlint:

rubygem-openshift-origin-dns-bind.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/openshift-origin-dns-bind-0.8.5/ri/Uplift/BindPlugin/keyname-i.ri
rubygem-openshift-origin-dns-bind.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/openshift-origin-dns-bind-0.8.5/ri/cache.ri
rubygem-openshift-origin-dns-bind.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/openshift-origin-dns-bind-0.8.5/ri/Uplift/BindPlugin/server-i.ri
rubygem-openshift-origin-dns-bind.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/openshift-origin-dns-bind-0.8.5/ri/Uplift/BindPlugin/port-i.ri
rubygem-openshift-origin-dns-bind.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/openshift-origin-dns-bind-0.8.5/ri/Uplift/BindPlugin/keyvalue-i.ri

Should be easy to fix (sed -i 's/\r//' $FILE).

rubygem-openshift-origin-dns-bind.noarch: W: unexpanded-macro /usr/share/gems/doc/openshift-origin-dns-bind-0.8.5/ri/Uplift/BindPlugin/namespace_available%3f-i.ri %3f

I _think_ this is a false positive, because the file name contains "%3f", but you should check to ensure that filename is correct, it seems odd.
Comment 4 Michael Scherer 2012-08-07 12:51:46 EDT
Nope, that's correct, there is lots of ruby package who do this on all linux distributions, that's a false positive.
Comment 5 Adam Miller 2012-08-07 18:06:21 EDT
SPEC URL: http://maxamillion.fedorapeople.org/rubygem-openshift-origin-dns-bind.spec
SRPM URL: http://maxamillion.fedorapeople.org/rubygem-openshift-origin-dns-bind-0.8.5-5.fc17.src.rpm

Removed non-gem subpackage and attempted to clean up the wrong-file-end-of-line-encoding and appeared to get all but 2 of them (not entirely sure why sed didn't clean up that last two but I'm open to suggestions ... I struck out in search of an answer).
Comment 6 Troy Dawson 2012-08-07 20:05:14 EDT
Hi,
Please don't fix the "wrong-file-end-of-line" problems on the gems.  On one of my other reviews Vic stated that this is a false positive on ruby gems and that he is working on fixing rpmlint.
https://bugzilla.redhat.com/show_bug.cgi?id=831749#c31
Comment 7 Adam Miller 2012-08-09 10:10:46 EDT
SPEC URL: http://maxamillion.fedorapeople.org/rubygem-openshift-origin-dns-bind.spec
SRPM URL: http://maxamillion.fedorapeople.org/rubygem-openshift-origin-dns-bind-0.8.5-6.fc17.src.rpm

"Fixed" the wrong-file-end-of-line-encoding false positives.
Comment 8 Tom "spot" Callaway 2012-08-10 15:56:22 EDT
= REVIEW =

- rpmlint returns:
rubygem-openshift-origin-dns-bind.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/openshift-origin-dns-bind-0.8.5/ri/Uplift/BindPlugin/keyname-i.ri
rubygem-openshift-origin-dns-bind.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/openshift-origin-dns-bind-0.8.5/ri/cache.ri
rubygem-openshift-origin-dns-bind.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/openshift-origin-dns-bind-0.8.5/ri/Uplift/BindPlugin/server-i.ri
rubygem-openshift-origin-dns-bind.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/openshift-origin-dns-bind-0.8.5/ri/Uplift/BindPlugin/port-i.ri
rubygem-openshift-origin-dns-bind.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/openshift-origin-dns-bind-0.8.5/ri/Uplift/BindPlugin/keyvalue-i.ri
rubygem-openshift-origin-dns-bind.noarch: W: unexpanded-macro /usr/share/gems/doc/openshift-origin-dns-bind-0.8.5/ri/Uplift/BindPlugin/namespace_available%3f-i.ri %3f
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

All safe to ignore on ruby packages.

- package meets naming guidelines
- package meets packaging guidelines (ruby)
- license (ASL 2.0) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (a996982574791a49c74e422ab2eef3c7510af46c6b0b96fa05d5f3dcefc575e2)
- package compiles on devel (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.
Comment 9 Adam Miller 2012-08-10 17:04:28 EDT
New Package SCM Request
=======================
Package Name: rubygem-openshift-origin-dns-bind
Short Description: OpenShift plugin for BIND service
Owners: maxamillion tdawson
Branches: f17 f18 el6
InitialCC:
Comment 10 Jon Ciesla 2012-08-12 13:57:15 EDT
Already exists.
Comment 11 Fedora Update System 2012-08-22 14:58:17 EDT
rubygem-openshift-origin-dns-bind-0.8.5-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-openshift-origin-dns-bind-0.8.5-7.fc18
Comment 12 Fedora Update System 2012-08-23 00:34:51 EDT
rubygem-openshift-origin-dns-bind-0.8.5-7.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2012-09-17 18:17:43 EDT
rubygem-openshift-origin-dns-bind-0.8.5-7.fc18 has been pushed to the Fedora 18 stable repository.